namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "swagger")]
public class Swagger : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        target.ChangeStatBoost(Statistic.Attack, 2, false, false);
        target.Volatile.Add(new Pokemon.Confusion());
    }
}